### Hierarchy

- PerformanceEntry
  - PerformanceNodeTiming

## Index

### Properties

- duration
- entryType
- kind
- name
- startTime

## Properties

### duration

duration: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:9

The total number of milliseconds elapsed for this entry. This value will not be meaningful for all Performance Entry types.

### entryType

entryType: string

- Defined in node_modules/@types/node/perf_hooks.d.ts:25

The type of the performance entry. Currently it may be one of: 'node', 'mark', 'measure', 'gc', or 'function'.

### Optional kind

kind: undefined | number

- Defined in node_modules/@types/node/perf_hooks.d.ts:32

When performanceEntry.entryType is equal to 'gc', the performance.kind property identifies the type of garbage collection operation that occurred. The value may be one of perf_hooks.constants.

### name

name: string

- Defined in node_modules/@types/node/perf_hooks.d.ts:14

The name of the performance entry.

### startTime

startTime: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:19

The high resolution millisecond timestamp marking the starting time of the Performance Entry.

Generated using TypeDoc